<?php

namespace app\index\controller;

use think\Controller;
use app\index\model\UserModel;

class Login extends Controller{
    /**
     * 管理员登录
     * */
    public function Login() {
        $username = input('get.username');
        $password = input('get.password');

        $UserModel = new UserModel();
        $user = $UserModel->checkUser($username);
        if(empty($user)){
            //管理员不存在
            return json(json_error_exception('1001'));
        }
        if($user['status'] != 1){
            //管理员已禁用
            return json(json_error_exception('1002'));
        }
        if($user['password'] != md5($password)){
            //密码错误
            return json(json_error_exception('1003'));
        }
        // 更新管理员状态
        $param = [
            'last_login_ip' => request()->ip(),
            'last_login_time' => date("Y-m-d H:i:s"),
        ];

        $res = $UserModel->updateStatus($param, $user['id']);
        if(1 != $res['code']){
            //更新失败
            return json(json_error_exception('1004'));
        }
        session('username', $user['username']);
        session('id', $user['id']);

        json_success([]);
    }
    /**
     * 管理员退出
     */
    public function LoginOut() {
        session('username', null);
        session('id', null);
        json_success([]);
    }
}